summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-17 07:04:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-17 07:04:43 +0000
commitddb6772e475a63f2fb190192cb10cb9990ed89f5 (patch)
tree9c6181daa4caa0aefff8c2c1b007d5e589869b03 /dev-python
parente57ff46413c1333f51a460fd1856946a87f82db3 (diff)
downloadbaldeagleos-repo-ddb6772e475a63f2fb190192cb10cb9990ed89f5.tar.gz
baldeagleos-repo-ddb6772e475a63f2fb190192cb10cb9990ed89f5.tar.xz
baldeagleos-repo-ddb6772e475a63f2fb190192cb10cb9990ed89f5.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-18.9.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.67.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.135.ebuild66
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.135.ebuild72
-rw-r--r--dev-python/clang-python/clang-python-16.0.5.9999.ebuild (renamed from dev-python/clang-python/clang-python-16.0.4.9999.ebuild)0
-rw-r--r--dev-python/dj-database-url/Manifest2
-rw-r--r--dev-python/dj-database-url/dj-database-url-2.0.0.ebuild13
-rw-r--r--dev-python/django-debug-toolbar/Manifest1
-rw-r--r--dev-python/django-debug-toolbar/django-debug-toolbar-4.1.ebuild41
-rw-r--r--dev-python/docutils/Manifest1
-rw-r--r--dev-python/docutils/docutils-0.17.1-r1.ebuild3
-rw-r--r--dev-python/docutils/docutils-0.20.1.ebuild72
-rw-r--r--dev-python/lit/lit-16.0.5.9999.ebuild (renamed from dev-python/lit/lit-16.0.4.9999.ebuild)0
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.1.13.ebuild61
-rw-r--r--dev-python/pymdown-extensions/Manifest1
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild59
-rw-r--r--dev-python/pymountboot/pymountboot-0.2.3-r1.ebuild2
-rw-r--r--dev-python/pytest-httpserver/Manifest1
-rw-r--r--dev-python/pytest-httpserver/pytest-httpserver-1.0.7.ebuild39
-rw-r--r--dev-python/python-lzo/python-lzo-1.14-r1.ebuild2
-rw-r--r--dev-python/starlette/Manifest1
-rw-r--r--dev-python/starlette/starlette-0.27.0.ebuild52
-rw-r--r--dev-python/tldextract/Manifest1
-rw-r--r--dev-python/tldextract/tldextract-3.4.2.ebuild35
-rw-r--r--dev-python/tornado/tornado-6.3.2.ebuild2
30 files changed, 613 insertions, 13 deletions
diff --git a/dev-python/Faker/Faker-18.9.0.ebuild b/dev-python/Faker/Faker-18.9.0.ebuild
new file mode 100644
index 000000000000..9618d4da811e
--- /dev/null
+++ b/dev-python/Faker/Faker-18.9.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 94f05b54050f..52e3cd733ba7 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -4,3 +4,4 @@ DIST Faker-18.6.0.tar.gz 1664811 BLAKE2B d73d0e5c1c0c0a59765b9dff8e1ed3a07b66ba8
DIST Faker-18.6.1.tar.gz 1665480 BLAKE2B 71de48bbe9767eb4a44f1cc3db6a5a42cda24716063ccde8646fc630ca3f06b29271d97135ecdd285031e34a6671133badcd5d1dc8c074e87cdd61437021d993 SHA512 d862f7545b32ff2e60d69f03e73fee75ece1543417e99397b3dc08edcd20ce3251b3d6c7238b316af54318f80f5f3e8d221c5ec147b89387fa927ba1e8574e97
DIST Faker-18.6.2.tar.gz 1665430 BLAKE2B 3e8748e77e5f72be3e2853f2337f7256e561303ad0fab21ecca50f8dcbd967eaf35d0134c02c590470dafc646c9ca44b9e1013138f967ffecaf4a1811a8f959a SHA512 91486fc317d96453d1950f1d1ad7e724cbf15438f914136c1e266b246ba8cc3704d6f788a94dee837e6453985e9cdbfbf54b5b42569cb37b0dfba8f3346b406b
DIST Faker-18.7.0.tar.gz 1666235 BLAKE2B d0eca47e4916436cdd2503077af97b8e4d93f0fc3852fc90505ef44021271b3d9ddb78b2e3258f39ab79fbdba66eac32c8010c72383c5f5926167b7e5b0586c6 SHA512 7c8edc55ff401f9344199447c7452ca91d7077b882e70165bfac73d9db192304163a8e5adc35f7ebbe84898366aa7b09c9633d5e1b0d60544160e8dd5406897c
+DIST Faker-18.9.0.tar.gz 1667357 BLAKE2B e1086168201969a1a0410d7bb6e97bdf31d0f470d6e39f011b8d62733818a4d5108a1ea058d19f41922efafc0a056bffe14f76ff1a77c9599097a3d172d0accb SHA512 9ad60cc30121405fdac38ef479ca1f8bf9114a599575caeded5be4fb8fed80a3268ad02705217ab0ce006e017d2aae7be3c1b50cacddc49bc16cdeb9bc9347c9
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index dcf555c3601d..73b89cabceb6 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1 +1,2 @@
DIST serverless-application-model-1.66.0.gh.tar.gz 5779523 BLAKE2B 7ec6eb68a74686cc7f1acb160582065b7ca50d56f400c7111a2b47733e6e238e010ba912236c60207b7dba65005333507e2babd8022244cea1bea0691300b947 SHA512 fbcc799bc0935c17fa5f9ae655d8e722e659c78c0f4ea6325f2f0a89f6bbad3b8f43951a60e950de1effe699cc858b696a95fbfceb3d7b79eb35cd4d2c618846
+DIST serverless-application-model-1.67.0.gh.tar.gz 5786955 BLAKE2B d80e24e5e371daa0ad189ef01ca16a2a2be76902d38c2b77b7e1b7e832e1c776f58dc079b140a328a7f33f211cd9af1eab3d40490c74db342949321a1745fc81 SHA512 0828b9e5e3284dd1787bd168303f32118f8597dd2bf57361b05e86a1337ae2fcb5866a5cb59bb5afc830f44f101dd833e56198198693c154d307ecb841704182
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.67.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.67.0.ebuild
new file mode 100644
index 000000000000..5a83e871d7a8
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.67.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3838c5160854..1d56b2e280a5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -7,3 +7,4 @@ DIST boto3-1.26.131.gh.tar.gz 646652 BLAKE2B c28edab15296d5b12aa8d423cba491f0665
DIST boto3-1.26.132.gh.tar.gz 646952 BLAKE2B 1b819f0fefacd3c55cd877549709e62dde9c5320e5d999e9a50f47bcbd3ea25f4ac20e2f54b220def84cdd7d51fb369d37c6646468a1459164fee49c86985f9d SHA512 5cdbb31617f7bd67967d6e36eaa19d8b84233adbfe83b9dfb5a5a682970dc2646bea2173305e1a3bfa29fc1d845454ac9f686444d540162f6ec0437f2e8507ec
DIST boto3-1.26.133.gh.tar.gz 648114 BLAKE2B 97c71216d92baffb9e07f9c112590a1fc7828dc90b66364c9f344cb5f95aa927c80c56426c679e9bff8b3fa82d203d527d529cb337e786b471c1df120a9fb186 SHA512 66270dc31b85860320e5dbffc77d2f51e1d4e6d413624269171e3824020ead0cee842cea0e292748127c0584ced74f835cd46554240bd522787e77ad939dc69e
DIST boto3-1.26.134.gh.tar.gz 649039 BLAKE2B ac6c136c363fd14c373acdd5f1af2bb46b77fae74a5f633f87748ebebeeff8cbfcb3ed62874b255d9dea0824d565149dc0b9cf02f6a596e5b2278b77a479a4bc SHA512 195ae53f705bbc3cb801b4b8425071a796fdf6dabaf8f68d0fc4ec9e216cdbf5def719cc5a7f537f8a075bd5bd8a5d1aca35422d359b471c35dc58af04a63407
+DIST boto3-1.26.135.gh.tar.gz 649517 BLAKE2B fbc1d4bda5ac932569ca26a17146ce9ca7e5f238b0f3465f1be8c35a26e07fe9649951f2d2bffd574d34239569b73510ca414ca92563d08a021c5aa968745650 SHA512 468a07a448b5aa76a437e6c56dcfc3d198bf28647c744a14f76946b889583bc24cb802a26386ddff449aea2731b2cfbfb859e6fecaa3ef05512bf4d33b9e476e
diff --git a/dev-python/boto3/boto3-1.26.135.ebuild b/dev-python/boto3/boto3-1.26.135.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.135.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c02c4c6a5c14..79bef16d862f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -7,3 +7,4 @@ DIST botocore-1.29.131.gh.tar.gz 11477200 BLAKE2B b82be25b352f8d8192e698e06ed7bb
DIST botocore-1.29.132.gh.tar.gz 11478315 BLAKE2B 79b6a073cfe33b537f459c1380e7dc4fbbd8ab3c65996973e844986e142da51422ac9010127d876dd74214b091f66196fb7b6300deef242fcc401fae834b4350 SHA512 57abc6023f176c34bd38a11c09af790b6c8a8921021c6d29121ff25d6122c106a356f78cd5b4d67e991e07b092326bf119e438ad3ea3978d67abe09412138b57
DIST botocore-1.29.133.gh.tar.gz 11484789 BLAKE2B ce1acc51ffada796e594090e7b4d73029df362459a562116ad9dabc56b926f7beec5644e5ce7d175e8901eac28420b57b758be266aa61582cac7e4b91b794e05 SHA512 62631be4f9bf07803e193a8a7ff3b04a806d6dc7668317765b853bba1f1c66cf49c8345f7640f829622c3c8ce96c775bf00bbfa943ff175a6c9a479a888e85db
DIST botocore-1.29.134.gh.tar.gz 11487191 BLAKE2B a50ff2681ebd56a55138b29be3177dd814ec4b37e4dbeb2144013c9b812de0db0593cc011347024d2c441d4d513180f0b98b26f89a17747b2a4a06a2c71dd9b4 SHA512 4358d3a4baf1f255f1d0d42fa331bad29d8e8d700156789723837bc60fc290d145a763ddfdadf6d78ee216de68332bed5b3b158858807718fbff35b853387c91
+DIST botocore-1.29.135.gh.tar.gz 11491287 BLAKE2B 722ba9b0a679b947e0d59a761d7711b44929005764f223cff23455ca43ae54f4b8c7ae0b055afb42e0a95673ecc4303c41ab98144c05abeaa5bd33bb02d4f8ae SHA512 09ebb3b853b6ef8b275b92716cd2ecce780f58c9a26aece2bbc5ffc30e9dd2e3746758b7a9de6eff4b81e959b8c57bbdbc71f64b21ceb73d024b76cec456b12d
diff --git a/dev-python/botocore/botocore-1.29.135.ebuild b/dev-python/botocore/botocore-1.29.135.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.135.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/clang-python/clang-python-16.0.4.9999.ebuild b/dev-python/clang-python/clang-python-16.0.5.9999.ebuild
index f37802f5c2d7..f37802f5c2d7 100644
--- a/dev-python/clang-python/clang-python-16.0.4.9999.ebuild
+++ b/dev-python/clang-python/clang-python-16.0.5.9999.ebuild
diff --git a/dev-python/dj-database-url/Manifest b/dev-python/dj-database-url/Manifest
index febaaca56fc1..62cad8645f0d 100644
--- a/dev-python/dj-database-url/Manifest
+++ b/dev-python/dj-database-url/Manifest
@@ -1,2 +1,2 @@
DIST dj-database-url-1.3.0.gh.tar.gz 13215 BLAKE2B 3af4973ce2720166ac6988acc61e02695520fa8bb4f1aad5bd78649959a5f76b2de1aa0822a8c7440fabe130970cf11bdf4c579860660e4e2e0634e594fc2e83 SHA512 f1ff31955e1d1cd39ea8c497ae38b2569f9056d6fa98a5b426472936781153b55b8b1e72475cab50532a753e53f31daafeca7d52de07bca803cfdbef323195b7
-DIST dj-database-url-2.0.0.gh.tar.gz 13402 BLAKE2B af8db1ad82ececf7d8fde61e878c888fa3592515acb12d495efd416b8a0d9e628fc55fb1bf23332932f00b0afe6d0ae81329b7e9d106a4f9da9c52132357c585 SHA512 d2600997023b1e58c1e6285268a400aed57fbdff972a36025f47bcc2e57d3179f266379d7042dc75c6048b35f7aef8547828c88a2fad1e80f087e6f5680668b0
+DIST dj-database-url-2.0.0.tar.gz 10364 BLAKE2B f908a424a43b9e501a13a9f6f850eec4b773a29fa5752afedd2f41c9fc2a88fe3f2894ae0f4b2b140bc8c7c98c7671e3684b8b56d199dc9e4a1bf34f014daa1b SHA512 2a433ddfd5c959ffae23ef27aec3a46642701ad3d2cd2d20ed3bd8f7d02a69cb59c55a4f73642f52a592392667755aa75c9a0cd26bf2ca1e2f4529d92f93f6a3
diff --git a/dev-python/dj-database-url/dj-database-url-2.0.0.ebuild b/dev-python/dj-database-url/dj-database-url-2.0.0.ebuild
index 9ac5c7ffac52..84093509a5c8 100644
--- a/dev-python/dj-database-url/dj-database-url-2.0.0.ebuild
+++ b/dev-python/dj-database-url/dj-database-url-2.0.0.ebuild
@@ -4,21 +4,16 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="Use Database URLs in your Django Application"
HOMEPAGE="
https://github.com/jazzband/dj-database-url/
https://pypi.org/project/dj-database-url/
"
-# tests are missing in sdist as of 1.3.0
-# https://github.com/jazzband/dj-database-url/pull/213
-SRC_URI="
- https://github.com/jazzband/dj-database-url/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
SLOT="0"
LICENSE="BSD"
@@ -30,3 +25,7 @@ RDEPEND="
"
distutils_enable_tests unittest
+
+python_test() {
+ eunittest -s tests
+}
diff --git a/dev-python/django-debug-toolbar/Manifest b/dev-python/django-debug-toolbar/Manifest
index a696a2a74824..c2f27e55cea3 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1,2 +1,3 @@
DIST django-debug-toolbar-3.8.1.gh.tar.gz 269449 BLAKE2B e93da38cdb6aa160dab65816858b1f7ca532ad22617e1859669fc508472086a93807aa874fde92ef95e6e33268a2f14de19d1498a15ca92ec89a9f8b3bf2a323 SHA512 4fa7b3fa3f9767cf1edba26c9de625675bcb1bafcb6d88d7ab95c331da6865f5c3cdb25848a6d2f4befdf9b2e65db4123b496f06a1b2e39eb3ee71f0c3384d26
DIST django-debug-toolbar-4.0.0.gh.tar.gz 265429 BLAKE2B ee444246fc71bef989451bbb53e35d2be072ec9b219dfc9a9018fe736a9b750d271adc5af040374cfcb6a8e4ed26260640a952308576997e2bf42da3aec9fec4 SHA512 6a6d586a9a3c87811193c19a5fd5cb425700573a1ece71ed13d76caba208da14a1beb32e2dbc69e8ea7f09d52f42bf3b71f9608f91cc51ec41ab92558bf7e2c9
+DIST django-debug-toolbar-4.1.gh.tar.gz 267550 BLAKE2B 80ebec1ee6f09d44089e119107a3696b8db82263976b4d191aaeea89658b0fbfb7ca1e2975aa73ad5c9240ac3010816710b5f7386165b1d7bdf335f8ef82b896 SHA512 8e9cc1ffcd8be7e345fff78e60cde8c4b44ef751dbf6a6bc061d452ccb60c68eda9f7e7a17efc32be3a62601921dff87f52ba2fe0e47a17fb820bf025cac0035
diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-4.1.ebuild b/dev-python/django-debug-toolbar/django-debug-toolbar-4.1.ebuild
new file mode 100644
index 000000000000..2fbcb24e5a3a
--- /dev/null
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-4.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A configurable set of panels that display various debug information"
+HOMEPAGE="
+ https://github.com/jazzband/django-debug-toolbar/
+ https://pypi.org/project/django-debug-toolbar/
+"
+# no tests in sdist, as of 4.0.0
+SRC_URI="
+ https://github.com/jazzband/django-debug-toolbar/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/django[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" -m django test -v 2 --settings tests.settings \
+ || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
index d944a1b12a33..fc6c809c69bf 100644
--- a/dev-python/docutils/Manifest
+++ b/dev-python/docutils/Manifest
@@ -1,2 +1,3 @@
DIST docutils-0.17.1.tar.gz 2016138 BLAKE2B aa0b6525ba2e3eaebc17010806952ed5f40919876fcb813f50cc05b628dfd22e6073a9a4b2bfe989089ae68d9b7111ae3a97dda2bde5c0536f8fb76c0942fe29 SHA512 5ec2087116bd5356fdffc54f07f6b0355aac5fa9d6caeefa77e8d201fd4706c0d419193c4d9a3964ae493da3091fe2c7dc36b74f81a1e1b9282173658b06e71b
DIST docutils-0.19.tar.gz 2056383 BLAKE2B 9983a905642de4e81ca118578671b503ddfda4bef1afcc0524de40543e1f9617fd8d768ef467da49d2f01076683400bad6a0fe15f6b5a3a1e202c42b2e34ab1b SHA512 fb904a899f2b6f3c07c5079577bd7c52a3182cb85f6a4149391e523498df15bfa317f0c04095b890beeb3f89c2b444875a2a609d880ac4d7fbc3125e46b37ea5
+DIST docutils-0.20.1.tar.gz 2058365 BLAKE2B 73fb8302599ffe57b0840c898b0b2e3ccd39ff9ea6eec2b5d345d02c950e1a8357bd821e62733b0484e82bc30e71d30fab381390b0edaef4375b02bcd9eeeb40 SHA512 a0ddca315d03677003036d6a8052ac96fbd3fcc4508564938ea684d79bedb4d322d83449c7b26e55b19b0aadd6e46ca9ac409bb16279a20f06c70e9c15ef5eb0
diff --git a/dev-python/docutils/docutils-0.17.1-r1.ebuild b/dev-python/docutils/docutils-0.17.1-r1.ebuild
index 44ff4ac6db1c..010b42c65f53 100644
--- a/dev-python/docutils/docutils-0.17.1-r1.ebuild
+++ b/dev-python/docutils/docutils-0.17.1-r1.ebuild
@@ -6,14 +6,13 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
HOMEPAGE="
https://docutils.sourceforge.io/
https://pypi.org/project/docutils/
"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2 GPL-3 public-domain"
SLOT="0"
diff --git a/dev-python/docutils/docutils-0.20.1.ebuild b/dev-python/docutils/docutils-0.20.1.ebuild
new file mode 100644
index 000000000000..f574daaf107c
--- /dev/null
+++ b/dev-python/docutils/docutils-0.20.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+ https://docutils.sourceforge.io/
+ https://pypi.org/project/docutils/
+"
+
+LICENSE="BSD-2 GPL-3 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+python_compile_all() {
+ # Generate html docs from reStructured text sources.
+
+ # Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+ cp docutils/writers/html4css1/html4css1.css . || die
+
+ cd tools || die
+ "${EPYTHON}" buildhtml.py --input-encoding=utf-8 \
+ --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Install tools.
+ python_doscript tools/buildhtml.py
+}
+
+install_txt_doc() {
+ local doc="${1}"
+ local dir="txt/$(dirname ${doc})"
+ docinto "${dir}"
+ dodoc "${doc}"
+}
+
+python_install_all() {
+ local DOCS=( *.txt )
+ local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+ distutils-r1_python_install_all
+
+ local doc
+ while IFS= read -r -d '' doc; do
+ install_txt_doc "${doc}"
+ done < <(find docs tools -name '*.txt' -print0)
+}
diff --git a/dev-python/lit/lit-16.0.4.9999.ebuild b/dev-python/lit/lit-16.0.5.9999.ebuild
index 0e39fac626c6..0e39fac626c6 100644
--- a/dev-python/lit/lit-16.0.4.9999.ebuild
+++ b/dev-python/lit/lit-16.0.5.9999.ebuild
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 72d420324dec..65e110985174 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,4 +1,5 @@
DIST mkdocs-material-9.1.10.gh.tar.gz 14174187 BLAKE2B 632f2855945575edc45719472e15c855b95d52a47f52b04f235b1096af336346cdcee0a05930b9a9eb5d244a0897cba4d00404daea62cd1b3cb44fdfe1d25adb SHA512 e8b3cd2f66576020c86774ee896c8b03fcd35eaa6871aec46df52fa06baacc2fd059a03b97f41a25b1f823727144f8ad16819645665b4e5b2133ad503a55089c
DIST mkdocs-material-9.1.11.gh.tar.gz 14174425 BLAKE2B 8789f589d80a73d882b9140141f912d64b30879ee52b42cdab49f26ad09e7a1ca68d558d31ff3b2392736147c72a9d3d00f8aefea297f14170e8f4da143d935a SHA512 269ffd9a39431744fc4c6082cd34def57ae91dc6caaed236360c9149973f4ea69233bb28851e7d214f442329aa8bc362bf238d2cb6d0bed172c57d82555bcef0
DIST mkdocs-material-9.1.12.gh.tar.gz 14175053 BLAKE2B 4d19e1a2360d4b60867973843a7d9d45f70410608053a751b4e169e0819ed33f7319f9df29471329268ec26e4db3f046fa7b5f254e88c4f5509f4ab3b1c278a4 SHA512 bb30a68986e2d29fce4c632f5aa72ed6ede3d7a1a8c6ce4725e11c7181ec41feda7d3446241dd3c253e2f6459fa083c948b482bfb43e6f7926103e273cea7375
+DIST mkdocs-material-9.1.13.gh.tar.gz 14211447 BLAKE2B 2e7bbe04514cc41a8e4086e9ca7bdac8223bf7105a2a0726a9c5dbcdcbdd88c59a273d716b251aee6183267e855ee12c507860b687734bac79e3db7ce148cbdc SHA512 d85cac68cef50b54f98f4fc2536e12efcfa8d04e62990e11d6bd46b204589063157769ab08c21e4157230241f590982bfe7b2bf698fba9f2ffa5febd92ee3fe6
DIST mkdocs-material-9.1.9.gh.tar.gz 10937664 BLAKE2B ebb893deecbd545496542f714976337b6c57ab0b7413f53ec0e8635e3d3a668ce3b7dbd46ea2517855e077d271f147d1df7c9d838d80a3954ff8a9f63f7f7bce SHA512 0b2a42e8f035375f34ca23a1489d4d76c9733cd28e1dc98f25c8f5461a337ff533eb85c72d9b22a8d2af4694b1e0c74ea61bb62da91827562b1ecb4cf4e8867c
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.1.13.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.1.13.ebuild
new file mode 100644
index 000000000000..c6eb88bef19a
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.1.13.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-9.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index 728b3af27142..101f17d14200 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1,2 +1,3 @@
+DIST pymdown-extensions-10.0.1.gh.tar.gz 1063025 BLAKE2B 937273053918cbb8e0245ba38a78a93184a492e21846db60f675d015cc5f942bef5e7085136cc861aa4a6068096e23fdb5f212182d47f245ac6a45127b5ca2a2 SHA512 579aa70c21cffdc7d5ffd927bce071f40bc6ace040cbcb4d15d620a54b97eae2cee7afa049e9005dccc2081dac7db3ff7e2deb2c1c468cf27fe42a306b6e46ab
DIST pymdown-extensions-10.0.gh.tar.gz 1062913 BLAKE2B a7f0da6ce416ece64ecf4340e9c0c0330858cc972924b7d646abfb2080b10814f81bf4f5ad42895e523edfb1bdb61e805cb66507780fdad04dad7ffa6e266c66 SHA512 660e903705fe379e6ed2c67ede21eea8a4d0e14731e036b556eaccc6a3ab76dce71e29d1581fbd822794d66382970fbc95ece9c2cd2f5854018a81a65e06239a
DIST pymdown-extensions-9.11.gh.tar.gz 1062074 BLAKE2B d695fa946c264f7ce2da7731fd5ce5388152a2179830108a6b43f769144246c33118084b4b2fe1e45b4255e26dc91871be699043008f67d2f04c5e5396f9ad12 SHA512 7745f0da83e3ecab9ac16947662c7a4da31e9ed62c6c519457083e0e8075f386a10146f18edc59cb17dee383335bb303c109da2ab08501118a53ee7315b1095f
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild
new file mode 100644
index 000000000000..31418053ff8b
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-material
+ dev-python/pymdown-lexers
+ dev-python/pyspelling
+"
+DOCS_INITIALIZE_GIT=1
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/pymdown-extensions/
+ https://pypi.org/project/pymdown-extensions/
+"
+SRC_URI="
+ https://github.com/facelessuser/pymdown-extensions/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pygments-2.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+ default
+ # We need to do this manually instead of relying on docs_compile
+ # https://bytemeta.vip/repo/facelessuser/pymdown-extensions/issues/1446
+ # https://bugs.gentoo.org/859637
+ if use doc; then
+ python -m mkdocs build || die "Failed to make docs"
+ # Colliding files found by ecompress:
+ rm site/sitemap.xml.gz || die
+ HTML_DOCS=( "site/." )
+ fi
+}
diff --git a/dev-python/pymountboot/pymountboot-0.2.3-r1.ebuild b/dev-python/pymountboot/pymountboot-0.2.3-r1.ebuild
index e6ab0bc590d2..76f72cd41484 100644
--- a/dev-python/pymountboot/pymountboot-0.2.3-r1.ebuild
+++ b/dev-python/pymountboot/pymountboot-0.2.3-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~riscv x86"
+KEYWORDS="amd64 ~arm64 ~riscv x86"
RDEPEND=">=sys-apps/util-linux-2.20"
DEPEND="${RDEPEND}"
diff --git a/dev-python/pytest-httpserver/Manifest b/dev-python/pytest-httpserver/Manifest
index 21a5b68886ac..02c9b7c46acc 100644
--- a/dev-python/pytest-httpserver/Manifest
+++ b/dev-python/pytest-httpserver/Manifest
@@ -1 +1,2 @@
DIST pytest-httpserver-1.0.6.gh.tar.gz 83737 BLAKE2B d0db97227bcb3336a4bd944cf26e2d3e96132baee5991cdff901a1f546174e977b6472458911fc6b92bb13b6d3dae499e0bf3507be265385601e838c4781f0a3 SHA512 5eacfbf159f3a09d73f54da8f3ff885b8d2138e430af27df6039a30e63d7ebcbcf088efe8e7fa56ed50b66ea5b7e3ad7a61c0e8a57d5cb100c2a063df7b6f5c4
+DIST pytest_httpserver-1.0.7.tar.gz 60065 BLAKE2B a3e523adfa5597b8d2a0850c0f3992fc829cf371fef812e7386f256acd4ae50925bc5c5d2ea2f77fdd4b8499357c060a64076fc8cca9d66bb689028715ac1422 SHA512 21fb81350ad24e0e59322d7530025e0859c59c62ef0eb6248dbd044ce893fd4c5fa0bc691741578a3d7fa6801dc5c80bc56b10baafff2c1abd480d4c994c93c7
diff --git a/dev-python/pytest-httpserver/pytest-httpserver-1.0.7.ebuild b/dev-python/pytest-httpserver/pytest-httpserver-1.0.7.ebuild
new file mode 100644
index 000000000000..f6888a0f33d5
--- /dev/null
+++ b/dev-python/pytest-httpserver/pytest-httpserver-1.0.7.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP server for pytest to test HTTP clients"
+HOMEPAGE="
+ https://github.com/csernazs/pytest-httpserver/
+ https://pypi.org/project/pytest-httpserver/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests from building release artifacts
+ tests/test_release.py
+ )
+
+ epytest -p no:localserver
+}
diff --git a/dev-python/python-lzo/python-lzo-1.14-r1.ebuild b/dev-python/python-lzo/python-lzo-1.14-r1.ebuild
index 82a3aedfb8b9..61293e679e29 100644
--- a/dev-python/python-lzo/python-lzo-1.14-r1.ebuild
+++ b/dev-python/python-lzo/python-lzo-1.14-r1.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="https://github.com/jd-boyd/python-lzo"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm64 ~riscv x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-libs/lzo:2"
DEPEND="${RDEPEND}"
diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index 7615367a8973..e842ca57d2ae 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -1 +1,2 @@
DIST starlette-0.26.1.gh.tar.gz 2837634 BLAKE2B bfaef7cf0826cbb4ec133e47ae918a1021fd2fe1e7048651f72f6fdcba49a80ec53bff1d63cfa56cf9e075ea58f62db0a5fab4ccfd80463a69f79e26eabc8c03 SHA512 2974b778481f6a701e8697a7a48dad33cbb8569acc5e3bf123769c3f6380d6aa5730aff3e1ba4978eee025d2479e11c731b669e58e08e16f6870225ed813d42b
+DIST starlette-0.27.0.gh.tar.gz 2838346 BLAKE2B 25f30e83edc12fa6607ef31b2711ee2b3c205aa62cc362d4a7389d61e48fc4410610841caca2e99dd3527eb0f47fe2740c5908ab5c72158e57a384563b53328d SHA512 dd7ce57b78a5ab42e62699e6feed735c66aa64dce2004304a139957c75192cc0b3a475e80bb9ecee16093940d45f142f83e61af6fad0f320a8f586fea752049f
diff --git a/dev-python/starlette/starlette-0.27.0.ebuild b/dev-python/starlette/starlette-0.27.0.ebuild
new file mode 100644
index 000000000000..8c8089be4915
--- /dev/null
+++ b/dev-python/starlette/starlette-0.27.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+ https://www.starlette.io/
+ https://github.com/encode/starlette/
+ https://pypi.org/project/starlette/
+"
+# no docs or tests in sdist, as of 0.27.0
+SRC_URI="
+ https://github.com/encode/starlette/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/python-multipart[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-3.10.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Unpackaged 'databases' dependency
+ tests/test_database.py
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/tldextract/Manifest b/dev-python/tldextract/Manifest
index ef943c08079c..9997eed81671 100644
--- a/dev-python/tldextract/Manifest
+++ b/dev-python/tldextract/Manifest
@@ -1,2 +1,3 @@
DIST tldextract-3.4.0.tar.gz 111437 BLAKE2B 94a3a77144fcaddebdf2129cea8fd43e971f0ac9b40029c6c1735ee06f499f4bf48823fc61540d99f71fd62192742c10168ef8f25b534eec9e2a04d3879be63a SHA512 6cd6b079c35af62e4f8da67c687630471d1a57ebfab7d982abe411b03fb6673dd238a1f676de5624d13bd2eb42b91ae0a97708e33579217916d88bca4db218db
DIST tldextract-3.4.1.tar.gz 104202 BLAKE2B 24e6f5a4af1718fdf3b52b2c12146849033b80fc0ba0320ccf72735fd0e39c36678660a70a203964ebd92acb3911e037b899b1796a941731735fa1e028999cd1 SHA512 6b63ba8f800e1adc836ecee43947fc0ee5198eefe7d3f64a267c7e0a4d18a44c60454ba67636a4b19e00a125f8b37f1f816f782976a9a335e5500a333c8e07aa
+DIST tldextract-3.4.2.tar.gz 105004 BLAKE2B 0bf2eddea49983720a554874bf1ec2d3280317657c9752d87ef825c9ce451f15a443c847d2bdbd6ac0f3fa3166da4bfce9852f6aff6710c5a53d8ac42541e9f2 SHA512 60ec9d99339940354db03e01d46bed571d604be9edce406476696d6a4d5e07677243f4c7f40fb1ca7e7f2f6bbe9d7d25a4959ade7f5091bcf89524c2c9cc927d
diff --git a/dev-python/tldextract/tldextract-3.4.2.ebuild b/dev-python/tldextract/tldextract-3.4.2.ebuild
new file mode 100644
index 000000000000..421d0afe56cf
--- /dev/null
+++ b/dev-python/tldextract/tldextract-3.4.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accurately separate the TLD from the registered domain and subdomains of a URL"
+HOMEPAGE="
+ https://github.com/john-kurkowski/tldextract/
+ https://pypi.org/project/tldextract/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-file[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tornado/tornado-6.3.2.ebuild b/dev-python/tornado/tornado-6.3.2.ebuild
index 67869a991798..4ffb76fd8ddb 100644
--- a/dev-python/tornado/tornado-6.3.2.ebuild
+++ b/dev-python/tornado/tornado-6.3.2.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="examples test"
RESTRICT="!test? ( test )"